/* 
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Description: Astra Child is a child theme of Astra, created by Elementor team
Author: Elementor Team
Author URI: https://wpastra.com/about/?utm_source=theme_preview&utm_medium=author_link&utm_campaign=astra_theme
Template: astra
Version: 1.0.1
Text Domain: astra-child
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Tags: custom-menu, custom-logo, entertainment, one-column, two-columns, left-sidebar, e-commerce, right-sidebar, custom-colors, editor-style, featured-images, full-width-template, microformats, post-formats, rtl-language-support, theme-options, threaded-comments, translation-ready, blog
*/

/*
    Add your custom styles here
*/

/* engine booking */
.engine-box {
	padding: .75rem;
	border: 1px solid #dedede;
	background-color: #ffffff;
	box-shadow: 6px 6px 6px 0 #5f5f5f26;
	border-radius: 6px;
}

#frmbooking {
	background-color: transparent;
	padding: 0;
}

.engine-box #frmbooking .form-group {
	padding: 0;
}

.engine-box #frmbooking .form-group.promotion-code {
	padding-right: 25px;
}

.engine-box #frmbooking .engine-button {
	padding: 0;
	border-right: none;
	display: inline-flex;
    align-items: flex-end;
}

.engine-box #frmbooking label {
	display: block;
	clear: both;
	font-size: 16px;
	letter-spacing: 0.5px;
	text-transform: none;
	color: #4a4a4a;
	font-weight: 400;
	padding-left: 0;
	font-family: "Times New Roman", sans-serif;
}

.engine-box #frmbooking .form-control {
	padding: 0;
	font-family: "Times New Roman", sans-serif;
	font-size: 18px;
	font-weight: 500;
	line-height: 1;
	color: #000000;
	height: auto;
	border: 1px solid #000 !important;
    box-shadow: none;
    border-radius: 5px;
    padding: 10px !important;
    margin: 0 !important;
	width: 100%;
	height: 45px;
	display: block;
	position: relative;
	z-index: 1;
	background: transparent;
	cursor: pointer;
}

.engine-box #frmbooking .form-control.spin {
	border-right: none !important;
	border-left: none !important;
	margin: 0 !important;
	border-radius: 0;
}

.engine-box #frmbooking .chk-in::before {
	content: "";
    position: absolute;
    top: 37px;
    right: 1px;
    background: url('assets/images/keyboard_arrow_down.svg') center no-repeat;
    background-size: 24px;
    width: 24px;
    height: 24px;
}

.engine-box #frmbooking .chk-in {
  position: relative;
}

.engine-box #frmbooking .form-control#request_PromotionCode {
	cursor: auto;
}

.engine-box #frmbooking .engine-button .btn-booking {
	font-family: "Times New Roman", sans-serif;
	width: 100%;
	height: 46px;
	margin: 0 auto;
	display: block;
	cursor: pointer;
	background-color: #000000;
	font-size: 18px !important;
	color: #FFFFFF;
	font-weight: 400;
	border: none;
	border-radius: 5px;
	text-transform: capitalize;
	-webkit-transition: all .3s linear;
	-moz-transition: all .3s linear;
	-ms-transition: all .3s linear;
	-o-transition: all .3s linear;
	transition: all .3s linear;
}

.engine-box #frmbooking .engine-button .btn-booking:focus {
  outline: none;
}

.engine-box #frmbooking .engine-button .btn-booking:hover {
  background-color: #AE6359;
  color: #FFFFFF;
}

.engine-box #frmbooking .chk-in .etmDateRange {
  position: relative;
}

.colm-1 {
	-ms-flex: 0 0 48%;
	flex: 0 0 48%;
	max-width: 48%;
}

.colm-2, .colm-3 {
	-ms-flex: 0 0 100%;
	flex: 0 0 100%;
	max-width: 100%;
}

.bor-b {
	border-bottom: 1px solid #FFF !important;
}

@media (min-width: 798px) {
	#engine-header {
		top: 58px;
	}

	.engine-box {
		padding: .85rem;
	}
	
	.engine-box #frmbooking label {
		margin-bottom: .3rem;
	}
}

@media (min-width: 992px) {
	#engine-header {
		top: 71px;
	}
	
	.colm-1 {
		-ms-flex: 0 0 12%;
		flex: 0 0 12%;
		max-width: 12%;
	}
	
	.colm-2 {
		-ms-flex: 0 0 17%;
		flex: 0 0 17%;
		max-width: 17%;
	}

	.colm-3 {
		-ms-flex: 0 0 32%;
		flex: 0 0 32%;
		max-width: 32%;
	}
}

@media (min-width: 768px) and (max-width: 991px) {
	.mar-l {
		margin-left: 10px;
	}
	
	.mar-r {
		margin-right: 10px;
	}
}

@media screen and (max-width: 545px) {
	.colm-1,.colm-2, .colm-3 {
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%;
	}
}

@media screen and (max-width: 991px) {
	.engine-box .form-row {
		flex-wrap: wrap;
	}
	
	.engine-box #frmbooking .form-group {
		margin-bottom: 1rem;
	}
	
	.chk-out-home.bor-r {
		border: none;
	}
	
	.engine-box #frmbooking .form-group.engine-button {
		margin-bottom: 0;
	}

	.engine-box #frmbooking .engine-button .btn-booking {
		padding: 0 .4rem;
		height: 50px;
	}
}

@media screen and (max-width:767px) {
	
	.check-availability .availability-form .awe-calendar-wrapper {
		width: 100% !important;
    	margin: 0
	}

	.engine-box #frmbooking label {
		margin-top: 0px;
		margin-bottom: 5px;
		font-size: 15px
	}

	.engine-box #frmbooking .engine-button .btn-booking {
    	width: 100%;
	}

	.engine-box #frmbooking .form-control {
		font-size: 18px;
		padding: 7px 10px !important;
		height: 45px;
	}

	.engine-box #frmbooking .chk-in::after {
		background-size: 24px;
		bottom: 25px;
		right: 15px;
		width: 24px;
		height: 24px;
	}
	

	.engine-box #frmbooking .engine-button .btn-booking {
		padding: 15px 15px;
		height: 50px;
		font-size: 16px;
	}

}

.daterangepicker.show-calendar {
  z-index: 99999999 !important;
}

@media only screen and (min-width:1200px) {
  .booking-wrapper {
    width: 1090px;
    margin: auto;
  }

  .btn_close {
    text-align: right;
    margin: 40px 0 25px;
  }
}

/* Spin Custom */
.select-form {
	position: relative;
}

.quantity-control {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: fit-content;
	margin: 0 auto;
	background: #eaeaea;
	border-radius: 10px;
	padding: 1rem 0.4rem;
	margin-top: 4rem;
}

.adults-select .input-group {
	flex-wrap: nowrap;
}

.guests-button .input-group-btn {
    display: inline-flex;
	align-items: center;
    border: 1px solid #000000;
    border-radius: 5px;
}

.select-button .btn-link {
	background: none;
    color: #000000 !important;
    font-size: 23px;
    font-weight: 500;
	line-height: 10px !important;
    text-decoration: none;
	padding: 5px 7px;
	width: 28px;
	padding: 0 !important;
    display: inline-flex;
    align-items: center;
    justify-content: center;
	border-radius: 0;
	box-shadow: unset;
}

.select-button .btn-link:hover {
	color: #FFFFFF;
}

/* End Spin Custom */

/* calendar style */
.mobile-bottom-sticky-calendar {
  z-index: 100000000 !important;
  padding: 30px 0;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
  background-color: #000000 !important
}

.daterangepicker .calendar-table .next span,
.daterangepicker .calendar-table .prev span {
  color: #333;
  border: solid #333;
  border-width: 0 2px 2px 0;
  border-radius: 0;
  display: inline-block;
  padding: 3px
}

.mobile-bottom-sticky-calendar .show_summary_mobile {
  background-color: #b3b1b1;
  color: #fff;
  border: 1px solid #b3b1b1 !important
}

.mobile-bottom-sticky-calendar .show_summary_mobile:hover {
  background-color: #b3b1b1;
  color: #fff;
}

.mobile-bottom-sticky-calendar .mobile-continute-checkout {
  background-color: #000000 !important;
  border: 1px solid #000000 !important
}

.mobile-bottom-sticky-calendar .mobile-continute-checkout:hover {
  background-color: #686868 !important
}

.daterangepicker .calendar-table tr:first-child th {
  background-color: #f1f1f1 !important
}

#ui-datepicker-div {
  display: none !important
}

.daterangepicker .calendar-table td,
.daterangepicker .calendar-table th {
  	padding: 0 0;
	font-family: "Times New Roman", sans-serif;
}

@media only screen and (min-width:992px) {
  .daterangepicker .calendar-table table thead tr:first-child th {
    background-color: #000000 !important;
    color: #fff !important;
    height: 35px;
    line-height: 35px
  }

  .daterangepicker .calendar-table .next span,
  .daterangepicker .calendar-table .prev span {
    color: #fff;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    border-radius: 0;
    display: inline-block;
    padding: 3px
  }
}

@media only screen and (max-width:991px) {
  .mobile-bottom-sticky {
    display: none !important;
  }

  .daterangepicker .mobile-calendar-header {
    background-color: #000000 !important
  }

  .daterangepicker .mobile-calendar-header .check-in .date-check-title,
  .daterangepicker .mobile-calendar-header .check-out .date-check-title {
    color: #000000;
    font-size: 14px
  }

  .daterangepicker .mobile-calendar-header p {
    color: #fff
  }

  .daterangepicker .mobile-calendar-header .main-title {
    font-size: 16px;
    color: #fff
  }

  .daterangepicker .calendar-table td,
  .daterangepicker .calendar-table th {
    height: 35px;
    line-height: 35px;
    font-size: 14px
  }

  .daterangepicker .mobile-calendar-header .check-in .date,
  .daterangepicker .mobile-calendar-header .check-out .date {
    font-size: 41px !important
  }

  .daterangepicker .mobile-calendar-header .check-in .date-check-title,
  .daterangepicker .mobile-calendar-header .check-out .date-check-title {
    color: #fff !important;
    margin-bottom: 15px !important
  }
}